import { EventEmitter } from '../../stencil-public-runtime';
import { ChatFilter } from '../../api/type';
export declare class DialogCustomFilter {
    initial: EventEmitter<void>;
    edit: EventEmitter<ChatFilter>;
    add: EventEmitter<void>;
    close: EventEmitter<void>;
    filterSelect: EventEmitter<ChatFilter>;
    componentWillLoad(): void;
    init(): Promise<void>;
    onSelectFilter(filter: ChatFilter): void;
    render(): any;
}
